Subject: bug#53033: date has multiple "first saturday"s?

From: Darryl Okahata <[email-masked]>
Date: Wed, 5 Jan 2022 18:33:23 +0000

(This has been verified to occur with 9.0.)

        $ date -d "first saturday"
        Sat Jan  8 00:00:00 PST 2022

Unless there is some weird definition of "first Saturday", shouldn't this be
the 1st (New Year's Day)?

Also, I ran this last week (I think on the 29th or the 30th), and it did
properly report the 1st.  Now that it's after the 1st, it's reporting the 8th.
Side note: I'm happy that it reported Jan 1st as the "first Saturday" even
though the date was still in December, but is there a way of getting the
"first Saturday" for an arbitrary year/month?  All my attempts just get the
"invalid date" error.

  -- Darryl